package org.sofp.test.basededatos;

/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Describe un comentario para una noticia, se usa en el conjunto de clases del 
 * paquete basededatos para simular una BD sin persistencia compuesta por noticias y comentarios. 
 * la relación entre noticias y comentarios es uno a muchos
 * 
 */

public class Comentario {

	String id;			// Identificador del comentario
	String autor;		// Autor del comentario
	String comentario;	// Texto del comentario
	
	// Constructor del comentario, pasamos como argumentos el autor y el texto del 
	// comentario, el id se crea a partir de un UUID aleatorio
	public Comentario(String autor, String comentario) {

		this.id=java.util.UUID.randomUUID().toString();	
		this.autor = autor;
		this.comentario = comentario;
	}
	
	// Getters y Setters
	
	public String getAutor() {
		return autor;
	}
	public void setAutor(String autor) {
		this.autor = autor;
	}
	public String getComentario() {
		return comentario;
	}
	
	public void setComentario(String comentario) {
		this.comentario = comentario;
	}
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	// Metodo toString para depuración, devuelve un comentario como cadena
	public String toString() {
		return "Comentario [id=" + id + ", autor=" + autor + ", comentario="
				+ comentario + "]";
	}
}
