/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Comando que es invocado desde la vista de inicio, guarda en una variable 
 * de sesión el login del usuario, da acceso a la aplicación de pruebas es el command
 * de entrada a la aplicación
 * 
 */

package org.sofp.test.comandos;

import java.util.Collection;

import javax.servlet.ServletException;
import javax.servlet.jsp.PageContext;

import org.sofp.ambito.Contexto;
import org.sofp.comandos.Command;
import org.sofp.config.ConfigComando;
import org.sofp.config.ConfigVista;
import org.sofp.excepciones.CommandNoValidadoException;
import org.sofp.excepciones.VistaNoEncontradaException;
import org.sofp.forms.FormBean;
import org.sofp.test.basededatos.Basededatos;
import org.sofp.test.basededatos.Comentario;
import org.sofp.test.basededatos.Constantes;
import org.sofp.test.basededatos.Noticia;
import org.sofp.test.formbeans.IdNoticiaFormbean;

public final class ComentariosMostrarCmd implements Command {

	public ConfigVista ejecutar(ConfigComando conf, FormBean idNoticia, Contexto commandContext) throws VistaNoEncontradaException, ServletException {

		// recuperamos la BD de pruebas
		Basededatos bd = (Basededatos) commandContext.getVariableAmbito(Constantes.BASEDEDATOS, PageContext.APPLICATION_SCOPE);

		// noticia seleccioanda
		Noticia noticia = bd.getNoticia(((IdNoticiaFormbean) idNoticia).getIdNoticia());

		// obtenemos los comntarios de la noticia seleccionada
		Collection<Comentario> noticias = bd.getComentarios(noticia.getId());

		commandContext.setVariableAmbito(Constantes.NOTICIA, noticia, PageContext.REQUEST_SCOPE);
		commandContext.setVariableAmbito(Constantes.COMENTARIONOTICIA, noticias, PageContext.REQUEST_SCOPE);

		ConfigVista vista = conf.obtenerVista(Constantes.VISTAOK);

		return (vista);
	}

	public void validar(FormBean formulario, Contexto commandContext) throws CommandNoValidadoException {
	}
}
