/*
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * Autor:Enrique Mengíbar Vázquez
 * Fecha: Enero 2012 
 * 
 * Description: Comando que es invocado desde la vista de inicio, uarda en una variable 
 * de sesión el login del usuario, da acceso a la aplicación de pruebas es el command
 * de entrada a la aplicación
 * 
 */

package org.sofp.test.comandos;

import javax.servlet.ServletException;
import javax.servlet.jsp.PageContext;

import org.sofp.ambito.Contexto;
import org.sofp.comandos.Command;
import org.sofp.config.ConfigComando;
import org.sofp.config.ConfigVista;
import org.sofp.excepciones.CommandNoValidadoException;
import org.sofp.excepciones.VistaNoEncontradaException;
import org.sofp.forms.FormBean;
import org.sofp.test.basededatos.Basededatos;
import org.sofp.test.basededatos.Constantes;

public final class NoticiasMostrarCmd implements Command {

	public ConfigVista ejecutar(ConfigComando conf, FormBean formbean, Contexto commandContext) throws VistaNoEncontradaException, ServletException {

		// Recuperamos la bd de la variable de aplicación para operar con ella
		Basededatos bd = (Basededatos) commandContext.getVariableAmbito(Constantes.BASEDEDATOS, PageContext.APPLICATION_SCOPE);
		
		/*
		 * Guardamos en una variable de ambito request la lista de las noticias
		 * como collection simple para poder iterar facilmente por ella desde la
		 * vista jsp el alcance de la variable creada es únicamente la petición,
		 * una vez servida la respuesta el recolector de basura eliminará la
		 * variable
		 */
		commandContext.setVariableAmbito(Constantes.BASEDEDATOSCOLECCION, bd.getNoticias(), PageContext.REQUEST_SCOPE);

		// Obtenemos el valor de la vista correspondiente al resultadoejecución
		// ok en este comando
		ConfigVista vista = conf.obtenerVista(Constantes.VISTAOK);

		// Devolvemos la vista
		return (vista);
	}

	// No realizamos ninguna validación en el servidor
	public void validar(FormBean formulario, Contexto commandContext) throws CommandNoValidadoException {
	}
}