/**
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * @author      Enrique Mengíbar Vázquez 
 * @version     1.0    
 *
 */

package org.sofp.config;

/**
 * Representa un formulario en la configuración del framework SOFP
 * @author Enrique Mengíbar Vázquez
 *
 */
public class ConfigFormulario {

	private String nombre;	
	private String clase;

	/**
	 * Constructor del la configuración del formulario
	 */
	public ConfigFormulario(){
	}
	
	/** 
	 * Obtiene el nombre de un formulario de la configuración
	 * @return nombre del formulario
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * Establece el nombre de un formulario en la configuración
	 * @param nom nombre del formulario
	 */
	public void setNombre(String nom) {
		this.nombre = nom;
	}

	/**
	 * Obtiene el nombre de la clase formbean asociada a un formulario
	 * @return Nombre de la clase asociada a un formulario en la configuración
	 */
	public String getClase() {
		return clase;
	}

	/**
	 * Establece la clase formbean asociada a un formulario
	 * @param clase Clase formbean asociada a un formulario
	 */
	public void setClase(String clase) {
		this.clase = clase;
	}
	
	/**
	 * Método toString para tareas de depuración
	 */
	public String toString() {
		     
		return (" ConfigForm {nombre=" + getNombre() +
				" clase=" + getClase() + "}" 
				);		
	}	
}