/**
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * @author      Enrique Mengíbar Vázquez 
 * @version     1.0    
 * 
 */

package org.sofp.config;

/**
 * Representa el valor de un recurso locale de la internacionalizacion, contiene el 
 * prefijo del fichero y el nombre del recurso
 * 
 * @author Enrique Mengíbar Vázquez 
 *
 */
public class ConfigRecursoMensajes {

	private String prefijoFichero;
	private String nombre;

	/**
	 * Obtiene el prefijo del fichero de un recurso de mensaje
	 * internacionalización
	 * 
	 * @return Predijo del fichero de un recurso de mensajes de internacionalización
	 */
	public String getPrefijoFichero() {
		return prefijoFichero;
	}

	/**
	 * Establece el valor del prfijo del nombre del fichero de un recurso
	 * demensajes de internacionalización
	 * 
	 * @param prefijoFichero Valor del prefijo del fichero de mensajes de internacionalización
	 */
	public void setPrefijoFichero(String prefijoFichero) {
		this.prefijoFichero = prefijoFichero;
	}

	/**
	 * Obtiene el nombre de un recurso de mensajes de internacionalización
	 * 
	 * @return Nombre de un recurso de mensajes de internacionalización
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * Estable el nombre de un recurso de mensajes de internacionalización
	 * 
	 * @param nombre Nombre del recurso de mensajes de internacionalización
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Constructor
	 */
	public ConfigRecursoMensajes() {
	}

	/**
	 * Método toString para tareas de depuración
	 */
	public String toString() {
		return "ConfigRecursoMensajes [prefijoFichero=" + prefijoFichero
				+ ", nombre=" + nombre + "]";
	}
}
