/**
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * @author      Enrique Mengíbar Vázquez 
 * @version     1.0    
 *
 */

package org.sofp.config;

/**
 * Representa la configuración de una vista en la confiuración
 * global del framework. Una vista está compusta de un nombre que actúa como 
 * identificador y una dirección que se corresponde a la página que la representa
 * 
 * @author Enrique Mengíbar Vázquez
 *
 */
public class ConfigVista {

	private String nombre;
	private String direccion;

	/**
	 * Constructor
	 */
	public ConfigVista() {
	}

	/**
	 * Obtiene el nombre de la vista
	 * @return Nombre de la vista
	 */
	public String getNombre() {
		return nombre;
	}

	/** 
	 * Establece el nombre de la vista
	 * @param nombre Nombre de la vista
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Obtiene la dirección de la vista
	 * @return Dirección de la vista
	 */
	public String getDireccion() {
		return direccion;
	}

	/**
	 * Establece la dirección de la vista
	 * @param direccion Dirección de la vista
	 */
	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	/**
	 * Metodo toString para depuración
	 */
	public String toString() {
		return (" ConfigVista {nombre=" + getNombre() + " direccion="
				+ getDireccion() + "}");
	}

}