/**
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * @author      Enrique Mengíbar Vázquez 
 * @version     1.0    
 * 
 */

package org.sofp.excepciones;

import javax.servlet.ServletException;

/**
 * Excepción utilizada en el manejo de la población automática de los formBean
 * Se lanza en caso de que un campo no pueda ser localizado
 * 
 * @author Enrique Mengíbar Vázquez 
 *
 */
public final class CampoNoEncontradoExcepcion extends ServletException {

	private static final long serialVersionUID = 1L;

	/**
	 * Existe una discordancia entre la definición del formbean y los campos del formulario que la vista pasa al comando, normalmente
	 * se trata de un campo ausente
	 * @param nombreCampo Nombre del campo a atributo ausente
	 * @param nombreForm Nombre del formulario en el que seha encontrado el error
	 * @param e Excepción
	 */
	public CampoNoEncontradoExcepcion(String nombreCampo, String nombreForm,
			Exception e) {
		// Obtenemos un mensaje de error personalizado o usamos el mensaje genérico de la propia
		// excepción si el nombre del campo es nulo
		super(
				(nombreCampo == null || nombreCampo.length() == 0) ? "Campo nulo no es válido"
						: ("No se puedo iniciar el valor del atributo <b>"
								+ nombreCampo
								+ "</b>"
								+ " con su valor correspodiente en el formBean <b>"
								+ nombreForm + "</b>"), e);
	}

	/**
	 * Existe una discordancia entre la definición del formbean y los campos del formulario que la vista pasa al comando, normalmente
	 * se trata de un campo ausente
	 * @param nombreCampo Nombre del campo a atributo ausente
	 * @param nombreForm Nombre del formulario en el que seha encontrado el error
	 */
	public CampoNoEncontradoExcepcion(String nombreCampo, String nombreForm) {
		this(nombreCampo, nombreForm, null);
	}

}
