//poner bien los nombres en la librería de etiquetas

/**
 * Universitat Oberta de Catalunya
 * Ingeniería de Informática, 2º ciclo
 * Proyecto fin de carrera- Diseño e implementación de un framework de presentación
 * 
 * @author      Enrique Mengíbar Vázquez 
 * @version     1.0    
 * 
 */

package org.sofp.taglib;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

import org.sofp.Constantes;
import org.sofp.config.ConfiguracionGlobal;

/**
 * Extensión para el soporte de la librería de etiquetas de mensajes de internacionalizacion
 * 
 * @author Enrique Mengíbar Vázquez 
 *
 */
public class MensajesTag extends TagSupport {

	private static final long serialVersionUID = 1L;

	// Recurso donde se localizará el mensaje
	private String recurso;
	// Clave para localizar el mensaje en el recurso
	private String clave;
	
	/**
	 * Establecer clave
	 * @param clave Valor de la clave
	 */
	public void setClave(String clave) {
		this.clave = clave;
	}

	/**
	 * Establecer recurso
	 * @param recurso Clave del recuro
	 */
	public void setRecurso(String recurso) {
		this.recurso = recurso;
	}

	/**
	 * Acciones a efectuar al inicio de la etiqueta
	 */
	public int doStartTag() throws JspException {

		String mensaje = null;

		try {

			// Recuperamos la confguración del framework
			ConfiguracionGlobal cg = (ConfiguracionGlobal) pageContext.getAttribute(Constantes.CONFIG,PageContext.APPLICATION_SCOPE);

			// Si la configuración es nula, es que no se ha cargado todavía,
			// devolvemos una contante con un valor nulo
			if (cg == null)
				mensaje = Constantes.NULL;
			else {
				// Obtenemos el mensaje a partir de su clave y recurso
				mensaje = cg.getMensaje(recurso, clave);
			}
			// Lo enviamos a la salida como texto
			pageContext.getOut().print(mensaje);
		} catch (IOException e) {
			// En caso de error generamos una excepción
			throw new JspException("Error: IOException" + e.getMessage());
		}
		return SKIP_BODY;
	}

	// Cierre de la etiqueta, no hacemos ninguna acción
	public int doEndTag() throws JspException {
		return EVAL_PAGE;
	}

}